import { App } from '@kevisual/router';
import { AssistantConfig } from '@/module/assistant/index.ts';
import { HttpsPem } from '@/module/assistant/https/sign.ts';
import path from 'node:path';

export const configDir = path.resolve(process.env.assistantConfigDir || process.cwd());
export const assistantConfig = new AssistantConfig({
  configDir,
  init: true,
});
const httpsPem = new HttpsPem(assistantConfig);
export const app = new App({
  serverOptions: {
    path: '/client/router',
    httpType: 'https',
    httpsCert: httpsPem.cert,
    httpsKey: httpsPem.key,
  },
});
